<template>
  <p>Current Time: {{ shopHours.currentTime }}</p>
  <p>Shop Status: {{ shopHours.isShopOpen ? 'Open' : 'Closed' }}</p>
  <button @click="shopHours.setCurrentTime">Refresh Time</button>
</template>

<script setup>
import { ref } from 'vue'
import { useShopHours } from '../composables/shopHours.js'

const shopHours = ref(useShopHours())
</script>
